Bug 466182 - Kernel fails to probe SATA DVD with sata_nv
Kernel fails to probe SATA DVD with sata_nv
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-08 17:58 EDT by Darryl Bond
Modified: 2013-07-02 22:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 09:55:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.6.25 + 2.6.26 dmesg + lspci -v (63.86 KB, text/plain)
2008-10-08 17:58 EDT, Darryl Bond
no flags Details

  None (edit)
Description Darryl Bond 2008-10-08 17:58:01 EDT
Created attachment 319809 [details]
2.6.25 + 2.6.26 dmesg + lspci -v

Description of problem:
Upgraded kernel does not recognise 2 SATA DVD Drives with 2.6.26. Downgrading the kernel to 2.6.25 reinstates them. The fault exhibited with the first release of 2.6.26.
The motherboard is a Gigabyte GA-M61P-S3 with NVIDIA GeForce 6100 chipset

Version-Release number of selected component (if applicable):
Kernel 2.6.26.5-45.fc9.x86_64


How reproducible:
Fails every time


Steps to Reproduce:
1.Cold boot 2.6.25.9-76.fc9.x86_64 - DVD drives recognised normally
2.Cold boot 2.6.26.5-45.fc9.x86_64 - lots of errors on DVD SATA channels
3.Drives not recognised
  
Actual results:
(2.6.26.5)
ata2: link is slow to respond, please be patient (ready=-19)
ata2: SRST failed (errno=-16)
ata2: link is slow to respond, please be patient (ready=-19)
ata2: SRST failed (errno=-16)
ata2: link is slow to respond, please be patient (ready=-19)
ata2: SRST failed (errno=-16)
ata2: limiting SATA link speed to 1.5 Gbps
ata2: SRST failed (errno=-16)
ata2: reset failed, giving up


Expected results:
(2.6.25.9)
ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
usb 2-3: new low speed USB device using ohci_hcd and address 3
ata2.00: ATAPI: PIONEER DVD-RW  DVR-215, 1.06, max UDMA/66
ata2.00: configured for UDMA/66


Additional info:
I noticed that if I warm booted 2.6.25 after 2.6.26 the probing of the DVD drives is flakey, only one drive was recognised.

I have installed the latest bios with no effect.
Comment 1 Darryl Bond 2008-10-08 18:22:11 EDT
I forgot to mention, also, the disk activity LED stays on continuously with 2.6.26 but works normally with 2.6.25
Comment 2 Chuck Ebbert 2008-10-09 22:35:36 EDT
This is a known problem with sata_nv and is not fixed in 2.6.27 yet. Should be fixed soon, though.
Comment 3 Chuck Ebbert 2008-11-05 07:45:50 EST
Should be fixed in 2.6.27.4-24 and later:

https://admin.fedoraproject.org/updates/kernel-2.6.27.4-24.fc9
Comment 4 Darryl Bond 2008-11-05 17:55:19 EST
Tried to test it but it needs the kernel-firmware dependency. That does not seem to be in https://admin.fedoraproject.org/updates/F9/pending
Comment 5 Fedora Update System 2008-11-05 20:51:17 EST
kernel-2.6.27.4-26.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.27.4-26.fc9
Comment 6 Darryl Bond 2008-11-06 18:37:03 EST
Works fine so far.

CD reading is fine
Drive activity led behaving normally
Machine booting normally
Comment 7 Fedora Update System 2008-11-06 21:56:28 EST
kernel-2.6.27.4-26.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9467
Comment 8 Fedora Update System 2008-11-10 08:15:55 EST
kernel-2.6.27.5-32.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.27.5-32.fc9
Comment 9 Fedora Update System 2008-11-11 21:57:56 EST
kernel-2.6.27.5-32.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9583
Comment 10 Fedora Update System 2008-11-13 02:43:04 EST
kernel-2.6.27.5-37.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.27.5-37.fc9
Comment 11 Fedora Update System 2008-11-14 06:54:21 EST
kernel-2.6.27.5-41.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.27.5-41.fc9
Comment 12 Fedora Update System 2008-11-19 09:54:47 EST
kernel-2.6.27.5-41.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.